### Method

# Gck Builder add_except

#### Declaration [src]

    void
    gck_builder_add_except (
      GckBuilder* builder,
      GckAttributes* attrs,
      gulong except_type,
      ...
    )

#### Description [src]

Add the attributes in `attrs` to the builder, with the exception of those in the argument list. The attributes are added uncondititionally whether or not attributes with the same types already exist in the builder.

The variable arguments must be unsigned longs.

    // Add all attributes in attrs except CKA_CLASS to the builder
    gck_builder_add_except (builder, attrs, CKA_CLASS, GCK_INVALID);

As an optimization, the attribute memory values are automatically shared between the attributes and the builder.

This method is not directly available to language bindings.

#### Parameters

`attrs`

  Type: `GckAttributes`

  The attributes to add.

  The data is owned by the caller of the method.

`except_type`

  Type: `gulong`

  The first type of attribute to to exclude.

`...`

  Type: ``

  The remaining attribute types to exclude, ending with `GCK_INVALID`.